# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Copyright 2012 Thomi Richards

from gi.repository import Notify
import logging
logger = logging.getLogger(__name__)

from graphics import (
    get_pixbuf_for_health_score,
    combine_two_images,
    get_pixbuf_for_state,
    )

def start():
    Notify.init("indicator-jenkins")

def send_job_update_notification(job, prop):
    """Send a desktop notification of a new build."""
    if job.monitored and prop.name == 'build':
        logger.debug("Sending notification for job '%s'", job.name)
        title = "%s build %d" % (job.name, job.build)
        text = job.health_description
        health_image = get_pixbuf_for_health_score(job.health_score, 48)
        state_image = get_pixbuf_for_state(job.color, 48)
        combined_image = combine_two_images(health_image, state_image)
        n = Notify.Notification(summary=title, body=text)
        n.set_icon_from_pixbuf(combined_image)
        if not n.show():
            logger.warning("Notification show failed.")

def stop():
	Notify.uninit()
